<app-header-logged>
    <ion-back-button text="" defaultHref="/epocno"></ion-back-button>
</app-header-logged>

<ion-content>
    <div class="container">
        <div class="headingContent">
            <p class="heading" translate>contactez-nous</p>
        </div>
        <!-- Logo -->

        <!-- Login form -->

        <form [formGroup]='contacter' class="form">

            <div class="inputBlock">
                <p class="question" translate>nom</p>
                <div class="itemInput" [ngClass]="formInvalid && contacter.get('nom').hasError('required')?'writeError':''">
                    <ion-input type="text" formControlName="nom" minlength="2" required></ion-input>
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('nom').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="(formInvalid && contacter.get('nom').hasError('minlength')) || contacter.get('nom').hasError('minlength')">
                    <ion-text color="danger" translate>
                        nom_court
                    </ion-text>
                </p>
            </div>
            <div class="inputBlock">
                <p class="question" translate>prenom</p>
                <div class="itemInput" [ngClass]="formInvalid && contacter.get('prenom').hasError('required')?'writeError':''">
                    <ion-input type="text" formControlName="prenom" minlength="2" show-hide-input required></ion-input>
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('prenom').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="(formInvalid && contacter.get('prenom').hasError('minlength')) || contacter.get('prenom').hasError('minlength')">
                    <ion-text color="danger" translate>
                        prenom_court
                    </ion-text>
                </p>
            </div>
            <div class="inputBlock">
                <p class="question" translate>email</p>
                <div class="itemInput" [ngClass]="formInvalid && (contacter.get('email').hasError('required') || contacter.get('email').hasError('email'))?'writeError':''">
                    <ion-input type="email" formControlName="email" show-hide-input required></ion-input>
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('email').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="(formInvalid && contacter.get('email').hasError('email')) || contacter.get('email').hasError('email')">
                    <ion-text color="danger" translate>
                        email_non_valide
                    </ion-text>
                </p>
            </div>
            <div class="inputBlock">
                <p class="question" translate>telephone</p>
                <div class="itemInput" [ngClass]="formInvalid && contacter.get('telephone').hasError('required')?'itemError':''">
                    <ion-input type="tel" maxlength="10" formControlName="telephone" show-hide-input required></ion-input>
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('telephone').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="(formInvalid && contacter.get('telephone').hasError('pattern')) || contacter.get('telephone').hasError('pattern')">
                    <ion-text color="danger" translate>
                        telephone_non_valide
                    </ion-text>
            </div>
            <div class="inputBlock">
                <p class="question" translate>message</p>
                <div class="itemInput">
                    <ion-textarea formControlName="message" minlength="20" row="4" show-hide-input required></ion-textarea>
                </div>
                <p ion-text color="danger" class="text08" *ngIf="formInvalid && contacter.get('message').hasError('required')">
                    <ion-text color="danger" translate>
                        champ_obligatoire
                    </ion-text>
                </p>
                <p ion-text color="danger" class="text08" *ngIf="(formInvalid && contacter.get('message').hasError('minlength')) || contacter.get('telephone').hasError('minlength')">
                    <ion-text color="danger" translate>
                        texte_court
                    </ion-text>
                </p>
            </div>
            <div class="bottomBlock">
                <ion-button icon-left size="large" shape="round" color="primary" (click)="onSubmitForm()" translate>
                    envoyer
                </ion-button>
            </div>
        </form>
    </div>

</ion-content>
<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>